Bug 1473271 - Raise MiqProvisionError if instance is in error state
Raise MiqProvisionError if instance is in error state
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
All All
medium Severity high
: GA
: 5.7.4
Assigned To: Tzu-Mainn Chen
Ola Pavlenko
openstack
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 07:24 EDT by Felix Dewaleyne
Modified: 2017-12-18 15:27 EST (History)
10 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-18 15:27:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)

  None (edit)
Description Felix Dewaleyne 2017-07-20 07:24:37 EDT
Description of problem:
if an error is raised in automation it can take all the checkprovisioned runs to catch it, which means a deployment can fail after 2 hours of run time.

Version-Release number of selected component (if applicable):
5.7.3

How reproducible:
all the time

Steps to Reproduce:
1.set up a provision that will fail due to a provider side issue
2.
3.

Actual results:
the provision fails at the end of check_provisioned's 101 checks instead of raising the error immediately

Expected results:
the error is raised through the provision

Additional info:
this change made it to 5.8.0 - https://github.com/ManageIQ/manageiq/pull/13608/commits/58f4224ae96f38c703555829dc89bae6561e3fe2
Comment 3 Greg McCullough 2017-07-20 17:32:48 EDT
Tzu-Mainn - Can you take a look and confirm if we can back-port just the commit listed in this BZ description.  The other changes in the PR seem unrelated.

If so I would ask that we create a PR on the Euwe branch with just that commit change.  Thanks.
Comment 4 Tzu-Mainn Chen 2017-07-20 17:40:28 EDT
Sam, what do you think?
Comment 5 Sam Lucidi 2017-07-21 10:50:12 EDT
Looks to me like that commit should do the trick. I've put up a backport PR here: https://github.com/ManageIQ/manageiq/pull/15629
Comment 8 errata-xmlrpc 2017-12-18 15:27:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484

Note You need to log in before you can comment on or make changes to this bug.